aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-osmocom/osmocom-3g/osmocom-3g/osmo-msc.init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-osmocom/osmocom-3g/osmocom-3g/osmo-msc.init')
-rwxr-xr-xrecipes-osmocom/osmocom-3g/osmocom-3g/osmo-msc.init48
1 files changed, 48 insertions, 0 deletions
diff --git a/recipes-osmocom/osmocom-3g/osmocom-3g/osmo-msc.init b/recipes-osmocom/osmocom-3g/osmocom-3g/osmo-msc.init
new file mode 100755
index 0000000..6369bbf
--- /dev/null
+++ b/recipes-osmocom/osmocom-3g/osmocom-3g/osmo-msc.init
@@ -0,0 +1,48 @@
+!/bin/sh
+### BEGIN INIT INFO
+# Provides: osmo-msc
+# Required-Start: $syslog $networking
+# Required-Stop: $syslog
+# Default-Start: 5
+# Default-Stop: 1
+# Short-Description: Osmocom MSC
+### END INIT INFO
+
+DAEMON=/usr/bin/osmo-msc
+NAME=osmo-msc
+DESC="Osmocom MSC"
+NORMAL_ARGS="-C -D -c /etc/osmocom/osmo-msc.cfg -l /var/lib/osmocom/sms.db"
+
+OSMOMSC_EXTRA_ARGS=""
+NO_START=1
+
+set -e
+
+test ! -r /etc/default/osmo-msc || . /etc/default/osmo-msc
+test "$NO_START" = "0" || exit 0
+test -x "$DAEMON" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon -S \
+ -x "$DAEMON" -- $NORMAL_ARGS $OSMOMSC_EXTRA_ARGS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon -K -x "$DAEMON"
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0